.newsletter {
	@extend .col-12;
	@extend .px-0;
	@extend .py-2;
	.newsletter-banner{
		.btn-text{
			font-size: 28px;
			line-height: 28px;
			display: inline-block;
			body.rtl & {
				font-size:  36px;
			}	
		}

		
		text-align: center;
		color: $white;
		background: $gray-blue;
		padding: 26px 10px;
		margin: 0;

		span.icon-newsletter {
			display: inline-block;
			transform: scale(1.9) translateY(10%);
			padding-left:50px;
			padding-right:50px;
		}
		@media (max-width: map-get($grid-breakpoints, md)) {
			span {
				display: block;
			}

			span.icon-newsletter {
				margin: 15px auto;
			}
		}
	}




	body.newsletter-toggled{
		overflow-y: hidden;
	}

	.newsletter-form{
		position: fixed;
		top:0;
		right:0;
		left:0;
		bottom:0;
		z-index:-1;
		background-color:$white-mask;
		opacity:0;
		//transition:all .5s ease-in-out;
		color:black;
		height: 100vh;
		overflow-y: auto;

		.admin-bar &{
			top:32px;
		}
		.epm-message {
			text-align: center;
			padding: 10px;
		}
		body.newsletter-toggled &, &.active{
			opacity: 1;
			z-index: 2000;
		}
		.icon-close{
			position: absolute;
			right: 0;
			top: 0;
			padding-right: 30px;
			padding-top: 30px;
		}
		.newsletter-container{
			padding-top:150px;
			padding-left:40px;
			padding-right:40px;
			width: 100%;
			padding-bottom:50px;
			h1{
				text-align: center;
			}
			.mc4wp-response{
				@extend .col-md-10;
				@extend .offset-md-1;
				padding-top:15px;
			}
			input[type="email"]{
				width: calc(100% - 50px);
			}
			.input-group{
				font-family: $font-family-serif;
				border:2px solid #d6d6d6;
				margin-top: 5rem;
				height: 50px;
				>input:first-child{
					border: none;
					background-color: inherit;
					outline: none;
					color: #999;
					font-family: $font-family-serif;
				}

				>button{
					background: none;
					border: none;
					cursor: pointer;

					>span{
						transform: scale(1.9);
						font-size: 2rem;
						line-height: 1;
						background-size: 28px;
						background-position: center;
						margin: 0px;
						width: 36px;
						height: 26px;
						filter: invert(45%);
						-webkit-filter: invert(45%);
					}
				}
			}

		}
	}

	&.invert {
		.newsletter-banner{
			color: $black;
			background: $white;
			border: 1px dashed $black;
			padding: 42px;

			.icon-newsletter {
				width: 42px;
				height: 42px;
				float: right;
				margin: 8px;
			}
		}

		.newsletter-form {
			h1 {
				margin-bottom: $headings-margin-bottom;
			}
		}
	}
	
}

body.newsletter-form--toggled {
	position: fixed;
	overflow: hidden;
}